> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/print/printing.md).

# Printing a PDF in Android

Discover how to easily implement printing functionality in your app using Apryse SDK. Learn how Print.startPrintJob can simplify the process for you. The Apryse Android SDK streamlines secure document

Apryse SDK supports printing. The library handles all the hard work, you simply have to tell it to show the system print dialog with a document. This can be done with \[`Print.startPrintJob`]\(<https://sdk.apryse.com/api/android/javadoc/reference/com/pdftron/pdf/Print.html#startPrintJob(android.content.Context>, java.lang.String, com.pdftron.pdf.PDFDoc, java.lang.String, java.lang.Integer, java.lang.Boolean)).

Here is how:

{% tabs %}
{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
void handlePrintJob(Activity activity, boolean isRtl,
    boolean printDocument,
    boolean printDocumentWithAnnotations,
    boolean printDocumentWithAnnotationSummary) {
    int printContent = 0;
    if (printDocument) {
        printContent |= Print.PRINT_CONTENT_DOCUMENT_BIT;
    }
    if (printDocumentWithAnnotations) {
        printContent |= Print.PRINT_CONTENT_ANNOTATION_BIT;
    }
    if (printDocumentWithAnnotationSummary) {
        printContent |= Print.PRINT_CONTENT_SUMMARY_BIT;
    }
    Print.startPrintJob(activity, activity.getString(R.string.app_name), mPdfDoc, printContent, isRtl);
}
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
fun handlePrintJob(activity: Activity, isRtl: Boolean,
    printDocument: Boolean,
    printDocumentWithAnnotations: Boolean,
    printDocumentWithAnnotationSummary: Boolean) {
    var printContent = 0
    if (printDocument) {
        printContent = printContent or Print.PRINT_CONTENT_DOCUMENT_BIT
    }
    if (printDocumentWithAnnotations) {
        printContent = printContent or Print.PRINT_CONTENT_ANNOTATION_BIT
    }
    if (printDocumentWithAnnotationSummary) {
        printContent = printContent or Print.PRINT_CONTENT_SUMMARY_BIT
    }
    Print.startPrintJob(activity, activity.getString(R.string.app_name), mPdfDoc, printContent, isRtl)
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/print/printing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
